Quote
Get
Request Body
application/jsonRequiredcurrency_inRequiredobjectcurrency_outRequiredobjectdestinationstring | null | nullValue in:
"WEB3" | "AUD_NPP" | "USD_ACH" | "USD_WIRE" | "USD_SWIFT" | "SGD_SWIFT" | "HKD_SWIFT" | "HKD_FPS" | "HKD_CHATS" | "CNY_SWIFT" | "MXN_SPEI" | "MXN_SWIFT" | "COP_SWIFT" | "BRL_PIX" | "BRL_SWIFT" | nullResponse Body
Successful response
TypeScript Definitions
Use the response body type in TypeScript.
dataRequiredobjectError response
TypeScript Definitions
Use the response body type in TypeScript.
errorRequiredobjectcurl -X POST "/v1/quote.get" \
-H "Content-Type: application/json" \
-d '{
"currency_in": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"currency_out": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"destination": "WEB3"
}'const body = JSON.stringify({
"currency_in": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"currency_out": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"destination": "WEB3"
})
fetch("/v1/quote.get", {
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "/v1/quote.get"
body := strings.NewReader(`{
"currency_in": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"currency_out": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"destination": "WEB3"
}`)
req, _ := http.NewRequest("POST", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "/v1/quote.get"
body = {
"currency_in": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"currency_out": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"destination": "WEB3"
}
response = requests.request("POST", url, json = body, headers = {
"Content-Type": "application/json"
})
print(response.text){
"data": {
"bid": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"ask": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"direction": "bid",
"fees": [
{
"type": "direct",
"value": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
},
"label": "string",
"rate": 0
}
],
"stablecoin": {
"value": "string",
"code": "AUD",
"decimals": 0,
"chain": "arbitrum",
"metadata": "string"
}
}
}{
"error": {
"code": "PARSE_ERROR",
"message": "string"
}
}